summaryrefslogtreecommitdiffstats
path: root/mcabber
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2007-02-10 20:24:06 +0000
committer Eric Hameleers <alien@slackware.com>2007-02-10 20:24:06 +0000
commitdcce1225a74f7e3707e96731940fb3f9f832437e (patch)
treee3013828d0087c72437473a17029b4c68675fdb7 /mcabber
parenteb90473ca24de5971ccdac37cb6683f660aea277 (diff)
downloadasb-dcce1225a74f7e3707e96731940fb3f9f832437e.tar.gz
asb-dcce1225a74f7e3707e96731940fb3f9f832437e.tar.xz
New release, fixed a few things in the SlackBuild, removed the GPL clause as well
Diffstat (limited to 'mcabber')
-rwxr-xr-xmcabber/build/mcabber.SlackBuild47
1 files changed, 20 insertions, 27 deletions
diff --git a/mcabber/build/mcabber.SlackBuild b/mcabber/build/mcabber.SlackBuild
index 2e1ad9a5..0498cd5f 100755
--- a/mcabber/build/mcabber.SlackBuild
+++ b/mcabber/build/mcabber.SlackBuild
@@ -1,6 +1,5 @@
#!/bin/sh
-# Copyright (c) 2005,2006 Eric Hameleers <alien@slackware.com>
-# Distributed under the terms of the GNU General Public License, Version 2
+# Copyright (c) 2005,2006,2007 Eric Hameleers <alien@slackware.com>
# $Id$
# -----------------------------------------------------------------------------
#
@@ -39,9 +38,10 @@
# * New release. PGP encryption supported. Updated the SlackBuild.
# Note: if you don't have "gpgme" installed, then mcabber will
# automatically build without PGP support.
+# 0.9.1-1: 10/feb/2007 by Eric Hameleers <alien@slackware.com>
+# * New release. Removed that GPL clause in this script's header.
#
-#
-# Run 'sh SlackBuild --cleanup' to build a Slackware package.
+# Run 'sh mcabber.SlackBuild --cleanup' to build a Slackware package.
# The package (.tgz) plus descriptive .txt file are created in /tmp .
# Install using 'installpkg'.
#
@@ -51,7 +51,7 @@
# Set initial variables:
PRGNAM=mcabber
-VERSION=${VERSION:-0.9.0}
+VERSION=${VERSION:-0.9.1}
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
@@ -156,17 +156,8 @@ echo "++"
echo "|| $PRGNAM-$VERSION"
echo "++"
-cd $PKG
-
-# Explode the package framework:
-if [ -f $SRCDIR/_$PRGNAM.tar.gz ]; then
- explodepkg $SRCDIR/_$PRGNAM.tar.gz
-fi
-
cd $TMP/tmp-$PRGNAM
-# --- TARBALL EXTRACTION,PATCH,MODIFY ---
-
echo "Extracting the source archive for $PRGNAM..."
if `file ${SOURCE} | grep -q ": bzip2"`; then
tar -xjvf ${SOURCE}
@@ -174,10 +165,9 @@ else
tar -xzvf ${SOURCE}
fi
-cd ${PRGNAM}-${VERSION}
-
chown -R root:root *
-find . -perm 777 -exec chmod 755 {} \;
+chmod -R u+w,go+r-w,a-s *
+cd ${PRGNAM}-${VERSION}
# --- BUILDING ---
@@ -303,10 +293,8 @@ chmod -R a-w $PKG/usr/doc/$PRGNAM-$VERSION/*
find $PKG/usr/man -type f -name "*.?" -exec gzip -9f {} \;
# Strip binaries
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
- find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
-)
+find $PKG | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+find $PKG | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
# --- OWNERSHIP, RIGHTS ---
@@ -321,24 +309,29 @@ cat $SRCDIR/slack-desc > $PKG/install/slack-desc
if [ -f $SRCDIR/doinst.sh ]; then
cat $SRCDIR/doinst.sh >> $PKG/install/doinst.sh
fi
+if [ -f $SRCDIR/slack-required ]; then
+ cat $SRCDIR/slack-required > $PKG/install/slack-required
+fi
# --- BUILDING ---
# Build the package:
cd $PKG
-makepkg --linkadd y --chown n $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.tgz \
- 2>&1 | tee $OUTPUT/makepkg-${PRGNAM}.log
-(cd $OUTPUT
- md5sum ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.tgz > ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.tgz.md5
-)
+makepkg --linkadd y --chown n $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.tgz 2>&1 | tee $OUTPUT/makepkg-${PRGNAM}.log
+cd $OUTPUT
+md5sum ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.tgz > ${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.tgz.md5
+cd -
cat $PKG/install/slack-desc | grep "^${PRGNAM}" > $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.txt
+if [ -f $PKG/install/slack-required ]; then
+ cat $PKG/install/slack-required > $OUTPUT/${PRGNAM}-${VERSION}-${ARCH}-${BUILD}.dep
+fi
# --- CLEANUP ---
# Clean up the extra stuff:
-if [ "$1" = "--cleanup" ]; then
+if [ "$P1" = "--cleanup" ]; then
rm -rf $TMP/tmp-$PRGNAM
rm -rf $PKG
fi